diff -r b1110a8e67c3 lib/galaxy/__init__.py
--- a/lib/galaxy/__init__.py	Fri Mar 28 14:38:36 2014 -0400
+++ b/lib/galaxy/__init__.py	Fri Mar 28 15:23:03 2014 -0400
@@ -12,16 +12,9 @@
 # patch get_platform() for better ABI recognition
 def _get_build_platform():
     plat = pkg_resources._get_build_platform()
-    if sys.version_info[:2] == ( 2, 5 ) and \
-        ( ( os.uname()[-1] in ( 'x86_64', 'i386', 'ppc' ) and sys.platform == 'darwin' and os.path.abspath( sys.prefix ).startswith( '/System' ) ) or \
-          ( sys.platform == 'darwin' and get_config_vars().get('UNIVERSALSDK', '').strip() ) ):
-        plat = 'macosx-10.3-fat'
-    if sys.platform == "sunos5" and not (plat.endswith('_32') or plat.endswith('_64')):
-        if sys.maxint > 2**31:
-            plat += '_64'
-        else:
-            plat += '_32'
-    if sys.platform == "linux2" and sys.maxint < 2**31 and plat.endswith( '-x86_64' ):
+    if sys.platform == 'darwin' and ( plat.endswith( 'i386' ) or plat.endswith( 'x86_64' ) ):
+        plat = plat.replace( '-i386', '-intel' ).replace( '-x86_64', '-intel' )
+    elif sys.platform == "linux2" and sys.maxint < 2**31 and plat.endswith( '-x86_64' ):
         plat = plat.replace( '-x86_64', '-i686' )
     if not (plat.endswith('-ucs2') or plat.endswith('-ucs4')):
         if sys.maxunicode > 2**16:
@@ -36,34 +29,6 @@
     pkg_resources.get_build_platform = _get_build_platform
     pkg_resources.get_platform = _get_build_platform
 
-# patch compatible_platforms() to allow for Solaris binary compatibility
-solarisVersionString = re.compile(r"solaris-(\d)\.(\d+)-(.*)")
-def _compatible_platforms(provided,required):
-    # this is a bit kludgey since we need to know a bit about what happened in
-    # the original method
-    if provided is None or required is None or provided==required:
-        return True     # easy case
-    reqMac = pkg_resources.macosVersionString.match(required)
-    if reqMac:
-        return pkg_resources._compatible_platforms(provided,required)
-    reqSol = solarisVersionString.match(required)
-    if reqSol:
-        provSol = solarisVersionString.match(provided)
-        if not provSol:
-            return False
-        if provSol.group(1) != reqSol.group(1) or \
-            provSol.group(3) != reqSol.group(3):
-            return False
-        if int(provSol.group(2)) > int(reqSol.group(2)):
-            return False
-        return True
-    return False
-try:
-    assert pkg_resources._compatible_platforms
-except:
-    pkg_resources._compatible_platforms = pkg_resources.compatible_platforms
-    pkg_resources.compatible_platforms = _compatible_platforms
-
 # patch to insert eggs at the beginning of sys.path instead of at the end
 def _insert_on(self, path, loc = None):
     """Insert self.location in path before its nearest parent directory"""
@@ -108,4 +73,4 @@
             pass
     logging.NullHandler = NullHandler
 
-import galaxy.eggs
\ No newline at end of file
+import galaxy.eggs
